Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.common.FontMapResult Class Reference

## Public Member Functions
| FontMapResult ()
| Constructor.
| FontMapResult (FileReaderCallback file_read, int face_index)
| Constructor, with parameters. More...
| FontMapResult (FontMapResult other)
| Constructor, with another font mapping result object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getFace_index ()
| Get face index. More...
FileReaderCallback | getFile_read ()
| Get a com.foxit.sdk.common.fxcrt.FileReaderCallback object which is implemented by user. More...
void | set (FileReaderCallback file_read, int face_index)
| Set value. More...
void | setFace_index (int value)
| Set face index. More...
void | setFile_read (FileReaderCallback value)
| Set a com.foxit.sdk.common.fxcrt.FileReaderCallback object which is implemented by user. More...

## Detailed Description

This class represents font mappping result returned by callback function FontMapperCallback.mapFont .

## Constructor & Destructor Documentation

## ◆ FontMapResult() [1/2]

com.foxit.sdk.common.FontMapResult.FontMapResult | ( | FileReaderCallback | file_read,
|  | int | face_index
| ) |  |

Constructor, with parameters.

Parameters

  [in] | file_read | A com.foxit.sdk.common.fxcrt.FileReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font. If this is null, that means no mapped font.
  [in] | face_index | A zero-based index value: If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face. If the mapped font (represented by file_read) is not a collection, the index value shall be zero. -1 means no mapped font.

## ◆ FontMapResult() [2/2]

com.foxit.sdk.common.FontMapResult.FontMapResult | ( | FontMapResult | other | ) |

Constructor, with another font mapping result object.

Parameters

  [in] | other | Another font mapping result object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.common.FontMapResult.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getFace_index()

com.foxit.sdk.common.FontMapResult.getFace_index | ( |  | ) |

Get face index.

- If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face.

- If the mapped font (represented by file_read) is not a collection, the index value shall be zero.

-1 means no mapped font.

Returns
  Face index. This is a zero-based index value:

## ◆ getFile_read()

com.foxit.sdk.common.FontMapResult.getFile_read | ( |  | ) |

Get a com.foxit.sdk.common.fxcrt.FileReaderCallback object which is implemented by user.

Returns
  A com.foxit.sdk.common.fxcrt.FileReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font.If this is null, that means no mapped font.

## ◆ set()

void com.foxit.sdk.common.FontMapResult.set | ( | FileReaderCallback | file_read,
|  | int | face_index
| ) |  |

Set value.

Parameters

  [in] | file_read | A com.foxit.sdk.common.fxcrt.FileReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font. If this is null, that means no mapped font.
  [in] | face_index | A zero-based index value: If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face. If the mapped font (represented by file_read) is not a collection, the index value shall be zero. -1 means no mapped font.

## ◆ setFace_index()

com.foxit.sdk.common.FontMapResult.setFace_index | ( | int | value | ) |

Set face index.

- If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face.

- If the mapped font (represented by file_read) is not a collection, the index value shall be zero.

-1 means no mapped font.

Parameters

  [in] | value | Face index. This is a zero-based index value:

Returns
  None.

## ◆ setFile_read()

com.foxit.sdk.common.FontMapResult.setFile_read | ( | FileReaderCallback | value | ) |

Set a com.foxit.sdk.common.fxcrt.FileReaderCallback object which is implemented by user.

Parameters

  [in] | value | A com.foxit.sdk.common.fxcrt.FileReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font.If this is null, that means no mapped font.

Returns
  None.